Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.jaxp
Class TypedContentHandler

    java.lang.Object
      net.sf.saxon.event.ContentHandlerProxy
          com.saxonica.jaxp.TypedContentHandler

All Implemented Interfaces:
  Result, Receiver

    public class TypedContentHandler

extends ContentHandlerProxy

This class is an extension of ContentHandlerProxy that provides access to type information, using the DOM Level 3 TypeInfo interfaces. The ContentHandlerProxy also acts as a TypeInfoProvider, providing information about the type of the current element or attribute.

Nested Class Summary
`class` | `TypedContentHandler.TypeInfoProviderImpl`

Nested classes/interfaces inherited from class net.sf.saxon.event.ContentHandlerProxy
`ContentHandlerProxy.ContentHandlerProxyTraceListener`

Field Summary

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`TypedContentHandler()`

Method Summary
`TypeInfoProvider` | `getTypeInfoProvider()` Get a TypeInfoProvider to provide type information for the current element or attribute event.
`void` | `startElement(int nameCode, int typeCode, int locationId, int properties)` Notify the start of an element

Methods inherited from class net.sf.saxon.event.ContentHandlerProxy
`attribute, characters, close, comment, endDocument, endElement, getConfiguration, getCurrentLocationId, getLocationProvider, getPipelineConfiguration, getSystemId, getTraceListener, getUnderlyingContentHandler, handleSAXException, isRequireWellFormed, isUndeclareNamespaces, namespace, open, processingInstruction, setLexicalHandler, setOutputProperties, setPipelineConfiguration, setRequireWellFormed, setSystemId, setUndeclareNamespaces, setUnderlyingContentHandler, setUnparsedEntity, startContent, startDocument`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedContentHandler

    public TypedContentHandler()

Method Detail

### getTypeInfoProvider

    public TypeInfoProvider getTypeInfoProvider()

  Get a TypeInfoProvider to provide type information for the current element or attribute event.

### startElement

    public void startElement(int nameCode,
                             int typeCode,
                             int locationId,
                             int properties)
                      throws XPathException

  Notify the start of an element

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `ContentHandlerProxy`
  Parameters:
    `nameCode` - integer code identifying the name of the element within the name pool.
    `typeCode` - integer code identifying the element's type within the name pool. The value -1 indicates the default type, xs:untyped.
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - bit-significant properties of the element node. If there are no revelant properties, zero is supplied.
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.